Add Provisioned Trust Certificate

post

/management/weblogic/{version}/domainRuntime/domainKeystoresRuntime/addProvisionedTrustCertificate

Add one provisioned trust anchor to the domain. For PEM input, only the first certificate is imported when the file contains additional certificates. Use addProvisionedTrustCertificates(String, String, String) to import every certificate in a PEM bundle. DER input contains one X.509 certificate.

Remote callers must use an encrypted management transport such as T3S or HTTPS.

Request

Supported Media Types
Path Parameters
Header Parameters
  • The 'X-Requested-By' header is used to protect against Cross-Site Request Forgery (CSRF) attacks. The value is an arbitrary name such as 'MyClient'.
Body ()

Must contain the following fields:

Root Schema : Arguments
Type: object
Title: Arguments
Show Source
Security
  • Type: basic
    Description: A user in the Admin security role.
Back to Top

Response

200 Response

Returns the following fields:

Back to Top